On 2017, മേയ് 4 7:51:41 PM IST, "Enrico Weigelt, metux IT consult" 
<enrico.weig...@gr13.net> wrote:
>Hi folks,
>
>
>I'm currently packaging nodejs-7.9 for various deb Distros.
>
>I'll have to maintain some applications that use the fanciest
>new features, and precompiled binaries from untrusted sources
>(eg. nvm+friends) of course are not an option.
>
>Before I go all of this alone - is there anybody here who already
>done this ? Or anything I should consider ?
>
>My current plan is:
>* install in similar way as jvm (/usr/lib/nodejs/nodejs-$version)
>* for now I'll just directly symlink - update-alternatives support
>  comes in a later step (or maybe someone here likes to help ?)
>* the actual nodejs package will be named "nodejs-$version", the
>  symlinks in package "nodejs".
>
>The tricky part will be a safe upgrade path from current 0.10
>and npm's dependencies.
>
>
>What do you folks think about that ?

Stretch already has 4.8.2. I think its better to just update nodejs for buster 
instead of maintaining multiple nodejs versions.

>
>--mtx

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to